<!-- as the template to show our Note model in card format. -->
{% extends 'base.html' %} 
{% block title %} Note List {% endblock %}
{% block content %}
<div class="container-noteList">
    <section class="note-Wrap" style="margin-top: 20px; margin-bottom: 20px;">
        <div class = "titleList">
            <h1 style = "justify-content: center;display: flex;padding: 20px"><font face="Gotham" color = "#1DB954" size = "60px"> 📗 Note List 📗 </h1></font>
        </div>
        <div style="display: flex; flex-wrap:wrap; gap: 12px;justify-content: center;">
            {% for i in notes %}
            <div class="card" style="width: 18rem; background-color: #07b444; border: 3px solid white; border-radius: 10px;">
                <style>
                    h5,h6,p,a {
                        font-family: "Gotham";
                    }
                </style>
                <!-- #27f870 -->
                <div class="card-body">
                    <h5 class="card-title" style="font-weight: bold;"> {{i.title}} </h5>
                    <h6 class="card-subtitle to mb-2 ">to : {{i.to}}</h6>
                    <h6 class="card-subtitle to mb-2 ">from : {{i.fr}}</h6>
                    <p class="card-text"> {{i.message}} </p>
                    <div style="display: flex; color: white">
                        <a href={% url 'add-note' %} class="card-link d-flex justify-content-start w-100" style="color: white" > Add Notes </a>
                        <a href={% url 'index-lab4' %} class="card-link d-flex justify-content-end w-100" style="color: white"> Home </a>
                    </div>
                </div>
            </div>
            {% endfor %}
        </div>
    </section>
</div>
{% endblock %}
